
Foreman - Bug #13968

Show errors when creating proxy even if /features returns an array

03/01/2016 07:18 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Smart Proxy   

Target version: 1.14.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3895,

https://github.com/Katello/katello/pull/637

7,

https://github.com/theforeman/foreman/p

ull/3946

  

Description

When using an old version of Foreman, say '1.10' against a newer version of the proxy, say one that contains the 'logs' feature, the

/features call will return an array ['logs'].

If you try to add a smart-proxy that only has this feature, the check we make `reply.is_a?(Array) and reply.any?` is not enough. We

should verify we have the features in the db.

Currently the problem is:

- I try to add new smart-proxy with features ['logs'] to old foreman without this feature.

- Submit, it won't save. But it won't throw any error either.

We should display an error and say 'the features in this proxy are not recognized by foreman'.

Related issues:

Has duplicate Salt - Feature #14669: Show something like "No supported featur... Duplicate 04/15/2016

Associated revisions

Revision 61802878 - 10/13/2016 05:21 AM - Shlomi Zadok

Fixes #13968 - Add error when no known proxy features found

Revision 7b9aa630 - 10/17/2016 08:39 AM - Dominic Cleal

refs #13968 - use existing feature to ensure reliable comparison

Feature.name_map may have returned either the new factory-based feature

or the existing fixture-based feature for the name 'TFTP', causing

intermittent failures.

History

#1 - 03/02/2016 07:45 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3270 added

#2 - 04/18/2016 03:04 AM - Dominic Cleal

- Has duplicate Feature #14669: Show something like "No supported features available on proxy" instead of quietly do nothing and just write in log

"Failed to save" added

#3 - 09/08/2016 04:11 AM - Dominic Cleal

- Status changed from Ready For Testing to New
- Assignee deleted (Daniel Lobato Garcia)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3270)

PR closed due to inactivity, but the bug is probably still valid.

#4 - 09/28/2016 05:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3895 added

#5 - 09/28/2016 06:21 AM - Shlomi Zadok

- Target version set to 1.5.3

#6 - 09/29/2016 07:16 AM - Marek Hulán

- Target version changed from 1.5.3 to 1.5.0

#7 - 10/06/2016 12:21 AM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/6377 added

#8 - 10/13/2016 06:03 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 61802878d0d8a6b1bf2c6dfca8bfebdc7a8dc7bf.

#9 - 10/14/2016 06:39 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#10 - 10/17/2016 03:31 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3946 added
